View Issue Details

IDProjectCategoryView StatusLast Update
0007781Talerlibeufin-bankpublic2023-11-29 01:30
Reportersebasjm Assigned ToAntoine A  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.9.3Fixed in Version0.9.3 
Summary0007781: sandbox demobank should have endpoint for transaction volume / statistics info
Description
from chat:
> But at least for the bank we should be able to show both
> # bank transactions (per day/week/month/year) and
> # <CURRENCY> transacted in total (per day/week/month/year).
>
> It should be displayed in SPA as an HTML table with a CSV-export might do as well.

So there should be endpoint for the SPA (returns json) but also content-type = csv
TagsNo tags attached.

Relationships

related to 0007752 resolvedsebasjm show volume and transaction 

Activities

Christian Grothoff

2023-09-23 16:42

manager   ~0020535

This could probably also be done easily by Antoine. MS: maybe you can just write the REST API spec, and leave the rest to Antoine and Sebastian?

Issue History

Date Modified Username Field Change
2023-03-29 14:51 sebasjm New Issue
2023-03-29 14:51 sebasjm Status new => assigned
2023-03-29 14:51 sebasjm Assigned To => MS
2023-03-29 14:52 sebasjm Relationship added related to 0007752
2023-04-11 11:26 MS Status assigned => new
2023-04-11 11:35 MS Target Version 0.9.3 =>
2023-04-13 20:26 Florian Dold Category sandbox => libeufin sandbox
2023-04-13 20:38 Florian Dold Category libeufin sandbox => libeufin-sandbox
2023-04-13 20:50 Florian Dold Project libeufin => Taler
2023-04-17 11:37 Florian Dold Product Version Git master =>
2023-04-17 11:37 Florian Dold Target Version => 0.9.4
2023-04-17 11:37 Florian Dold Summary sanbox should have endpoint for operation info => sandbox demobank should have endpoint for transaction volume / statistics info
2023-09-23 15:26 Christian Grothoff Category libeufin-sandbox => libeufin-bank
2023-09-23 16:42 Christian Grothoff Note Added: 0020535
2023-11-03 00:36 Christian Grothoff Assigned To MS => Antoine A
2023-11-03 00:37 Christian Grothoff Status new => assigned
2023-11-09 05:15 Antoine A Status assigned => resolved
2023-11-09 05:15 Antoine A Resolution open => fixed
2023-11-29 01:28 Christian Grothoff Target Version 0.9.4 => 0.9.3
2023-11-29 01:29 Christian Grothoff Fixed in Version => 0.9.3
2023-11-29 01:30 Christian Grothoff Status resolved => closed